Name:           perl-Scalar-List-Utils
%if %{rhel} == 8
Epoch:          3
%endif
Version:        1.63
Release:        1%{?org_tag}%{?dist}
Summary:        Scalar::List::Utils Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Scalar-List-Utils/
Source0:        http://www.cpan.org/authors/id/G/GB/GBARR/Scalar-List-Utils-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no
Provides:       perl(List::Util) = %{version}
Provides:       perl(Scalar::Util) = %{version}
Provides:       perl(Sub::Util) = %{version}

%description
This package contains a selection of subroutines that people have expressed
would be nice to have in the perl core, but the usage would not really be
high enough to warrant the use of a keyword, and the size so small such
that being individual extensions would be wasteful.

%prep
%setup -q -n Scalar-List-Utils-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

# The updated man pages conflict with those in the main perl package :-/
mv %{buildroot}%{_mandir}/man3/List::Util.3pm %{buildroot}%{_mandir}/man3/List::Util-%{version}.3pm
mv %{buildroot}%{_mandir}/man3/List::Util::XS.3pm %{buildroot}%{_mandir}/man3/List::Util::XS-%{version}.3pm
mv %{buildroot}%{_mandir}/man3/Scalar::Util.3pm %{buildroot}%{_mandir}/man3/Scalar::Util-%{version}.3pm

%post
# Copy the versioned man pages, overwriting the core perl ones :-/
for i in List::Util List::Util::XS Scalar::Util; do
  cp %{_mandir}/man3/$i-%{version}.3pm.gz %{_mandir}/man3/$i.3pm.gz
done

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/List*
%{perl_vendorarch}/Scalar*
%{perl_vendorarch}/Sub*
%{_mandir}/man3/*

%changelog
* Wed Nov 09 2022 Gavin Carr <gavin@openfusion.net> 1.63-1
- Update to version 1.63.

* Thu Jan 13 2022 Gavin Carr <gavin@openfusion.net> 1.60-1
- Update to version 1.60.

* Tue Jun 29 2021 Gavin Carr <gavin@openfusion.com.au> 1.56-1
- Update to version 1.56.

* Wed Oct 21 2020 Gavin Carr <gavin@openfusion.com.au> 1.55-1
- Update to version 1.55.

* Tue Nov 21 2017 Gavin Carr <gavin@openfusion.com.au> 1.49-1
- Update to version 1.49.

* Tue Jul 22 2014 Gavin Carr <gavin@openfusion.com.au> 1.39-1
- Update to version 1.39.

* Tue Mar 11 2014 Gavin Carr <gavin@openfusion.com.au> 1.38-1
- Update to version 1.38.

* Tue Apr 02 2013 Gavin Carr <gavin@openfusion.com.au> 1.27-1
- Update to version 1.27.

* Thu Mar 31 2011 Gavin Carr <gavin@openfusion.com.au> 1.23-1
- Specfile autogenerated by cpanspec 1.79.
